import regex as re
from typing import List, Dict, Any, Tuple
from src.detections import NumberDetection
from src.detectors.interface import Detector

NUMBER_REGEX = re.compile(
    r"\d+[^a-zA-Z\d]*\d*",
    re.I,
)


class NumberDetector(Detector):
    def __init__(self) -> None:
        super().__init__()

    def detect(
        self, text: str, annotations: Dict[str, List[Tuple[int, int, Any]]]
    ) -> List[Tuple[int, int, NumberDetection]]:
        NUMBER_REGEX.finditer(text)
        numbers = []

        for number in numbers:
            numbers.append((number.start(), number.end(), NumberDetection()))

        return numbers
