from src.detections import Detection
from typing import Optional, List, Type


class MorphosyntacticDictionary:
    def get_supported_detection_classes(self) -> List[Type[Detection]]:
        """
        Returns a list of supported detection classes
        """
        raise NotImplementedError()

    def get_random_replacement(self, original_entry: Detection) -> Optional[str]:
        """
        Returns a random replacement for the original entry
        """
        raise NotImplementedError()
