from typing import List, Tuple, Any


class Suppressor:
    def suppress(
        self, annotations: List[Tuple[int, int, Any]]
    ) -> List[Tuple[int, int, Any]]:
        """Suppresses annotations on overlappment.

        Args:
            annotations (List[Tuple[int, int, Any]]): List of annotations.

        Returns:
            List[Tuple[int, int, Any]]: List of annotations with overlapping
                annotations removed.

        """
        raise NotImplementedError
